Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.minecraftforge.common
Enum ForgeDirection

    java.lang.Object
      java.lang.Enum<ForgeDirection>
          net.minecraftforge.common.ForgeDirection

All Implemented Interfaces:
  Serializable, Comparable<ForgeDirection>

    public enum ForgeDirection

extends Enum<ForgeDirection>

Enum Constant Summary
`DOWN` -Y
`EAST` +X
`NORTH` -Z
`SOUTH` +Z
`UNKNOWN` Used only by getOrientation, for invalid inputs
`UP` +Y
`WEST` -X

Field Summary
`int` | `flag`
`int` | `offsetX`
`int` | `offsetY`
`int` | `offsetZ`
`static int[]` | `OPPOSITES`
`static int[][]` | `ROTATION_MATRIX`
`static ForgeDirection[]` | `VALID_DIRECTIONS`

Method Summary
`ForgeDirection` | `getOpposite()`
`static ForgeDirection` | `getOrientation(int id)`
`ForgeDirection` | `getRotation(ForgeDirection axis)`
`static ForgeDirection` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ForgeDirection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DOWN

    public static final ForgeDirection DOWN

  -Y

### UP

    public static final ForgeDirection UP

  +Y

### NORTH

    public static final ForgeDirection NORTH

  -Z

### SOUTH

    public static final ForgeDirection SOUTH

  +Z

### WEST

    public static final ForgeDirection WEST

  -X

### EAST

    public static final ForgeDirection EAST

  +X

### UNKNOWN

    public static final ForgeDirection UNKNOWN

  Used only by getOrientation, for invalid inputs

Field Detail

### offsetX

    public final int offsetX

### offsetY

    public final int offsetY

### offsetZ

    public final int offsetZ

### flag

    public final int flag

### VALID_DIRECTIONS

    public static final ForgeDirection[] VALID_DIRECTIONS

### OPPOSITES

    public static final int[] OPPOSITES

### ROTATION_MATRIX

    public static final int[][] ROTATION_MATRIX

Method Detail

### values

    public static ForgeDirection[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ForgeDirection c : ForgeDirection.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ForgeDirection valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getOrientation

    public static ForgeDirection getOrientation(int id)

### getOpposite

    public ForgeDirection getOpposite()

### getRotation

    public ForgeDirection getRotation(ForgeDirection axis)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD